#!/usr/bin/env bash

# Copyright 2022, FOSS-VG Developers and Contributers
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, version 3.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# version 3 along with this program.
# If not, see https://www.gnu.org/licenses/agpl-3.0.en.html

source scripts/lib.sh

echo ">>> Checking download cache for unneeded or corrupted files..."
for file in $(ls .download_cache); do
    #TODO: remove if unknown shasum
    if grep $file scripts/setup_project.sh >/dev/null 2>&1; then
        if check_sha256 ".download_cache/$file" "$file"; then
            echo -n "."
        else
            echo -n "!"
            rm ".download_cache/$file"
        fi
    else
        echo -n "x"
        rm ".download_cache/$file"
    fi
done
echo "
>>> Cleaning dependencies..."

remove -f ./dependencies
create_directory ./dependencies
create_file ./dependencies/.placeholder
